"use strict";
require('prismjs/components/prism-actionscript');
var core_1 = require('@angular/core');
var ActionscriptDirective = (function () {
    function ActionscriptDirective(el) {
        this.el = el;
    }
    ActionscriptDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    ActionscriptDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[actionscript]'
                },] },
    ];
    /** @nocollapse */
    ActionscriptDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return ActionscriptDirective;
}());
exports.ActionscriptDirective = ActionscriptDirective;
