"use strict";
require('prismjs/components/prism-ada');
var core_1 = require('@angular/core');
var AdaDirective = (function () {
    function AdaDirective(el) {
        this.el = el;
    }
    AdaDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    AdaDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[ada]'
                },] },
    ];
    /** @nocollapse */
    AdaDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return AdaDirective;
}());
exports.AdaDirective = AdaDirective;
