"use strict";
require('prismjs/components/prism-apl');
var core_1 = require('@angular/core');
var AplDirective = (function () {
    function AplDirective(el) {
        this.el = el;
    }
    AplDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    AplDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[apl]'
                },] },
    ];
    /** @nocollapse */
    AplDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return AplDirective;
}());
exports.AplDirective = AplDirective;
