"use strict";
require('prismjs/components/prism-applescript');
var core_1 = require('@angular/core');
var ApplescriptDirective = (function () {
    function ApplescriptDirective(el) {
        this.el = el;
    }
    ApplescriptDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    ApplescriptDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[applescript]'
                },] },
    ];
    /** @nocollapse */
    ApplescriptDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return ApplescriptDirective;
}());
exports.ApplescriptDirective = ApplescriptDirective;
