"use strict";
require('prismjs/components/prism-asciidoc');
var core_1 = require('@angular/core');
var AsciidocDirective = (function () {
    function AsciidocDirective(el) {
        this.el = el;
    }
    AsciidocDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    AsciidocDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[asciidoc]'
                },] },
    ];
    /** @nocollapse */
    AsciidocDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return AsciidocDirective;
}());
exports.AsciidocDirective = AsciidocDirective;
