"use strict";
require('prismjs/components/prism-aspnet');
var core_1 = require('@angular/core');
var AspnetDirective = (function () {
    function AspnetDirective(el) {
        this.el = el;
    }
    AspnetDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    AspnetDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[aspnet]'
                },] },
    ];
    /** @nocollapse */
    AspnetDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return AspnetDirective;
}());
exports.AspnetDirective = AspnetDirective;
