"use strict";
require('prismjs/components/prism-autohotkey');
var core_1 = require('@angular/core');
var AutohotkeyDirective = (function () {
    function AutohotkeyDirective(el) {
        this.el = el;
    }
    AutohotkeyDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    AutohotkeyDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[autohotkey]'
                },] },
    ];
    /** @nocollapse */
    AutohotkeyDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return AutohotkeyDirective;
}());
exports.AutohotkeyDirective = AutohotkeyDirective;
