"use strict";
require('prismjs/components/prism-autoit');
var core_1 = require('@angular/core');
var AutoitDirective = (function () {
    function AutoitDirective(el) {
        this.el = el;
    }
    AutoitDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    AutoitDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[autoit]'
                },] },
    ];
    /** @nocollapse */
    AutoitDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return AutoitDirective;
}());
exports.AutoitDirective = AutoitDirective;
