"use strict";
require('prismjs/components/prism-c');
require('prismjs/components/prism-bison');
var core_1 = require('@angular/core');
var BisonDirective = (function () {
    function BisonDirective(el) {
        this.el = el;
    }
    BisonDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    BisonDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[bison]'
                },] },
    ];
    /** @nocollapse */
    BisonDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return BisonDirective;
}());
exports.BisonDirective = BisonDirective;
