"use strict";
require('prismjs/components/prism-brainfuck');
var core_1 = require('@angular/core');
var BrainfuckDirective = (function () {
    function BrainfuckDirective(el) {
        this.el = el;
    }
    BrainfuckDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    BrainfuckDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[brainfuck]'
                },] },
    ];
    /** @nocollapse */
    BrainfuckDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return BrainfuckDirective;
}());
exports.BrainfuckDirective = BrainfuckDirective;
