"use strict";
require('prismjs/components/prism-c');
var core_1 = require('@angular/core');
var CDirective = (function () {
    function CDirective(el) {
        this.el = el;
    }
    CDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    CDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[c]'
                },] },
    ];
    /** @nocollapse */
    CDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return CDirective;
}());
exports.CDirective = CDirective;
