"use strict";
require('prismjs/components/prism-clike');
var core_1 = require('@angular/core');
var ClikeDirective = (function () {
    function ClikeDirective(el) {
        this.el = el;
    }
    ClikeDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    ClikeDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[clike]'
                },] },
    ];
    /** @nocollapse */
    ClikeDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return ClikeDirective;
}());
exports.ClikeDirective = ClikeDirective;
