"use strict";
require('prismjs/components/prism-coffeescript');
var core_1 = require('@angular/core');
var CoffeescriptDirective = (function () {
    function CoffeescriptDirective(el) {
        this.el = el;
    }
    CoffeescriptDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    CoffeescriptDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[coffeescript]'
                },] },
    ];
    /** @nocollapse */
    CoffeescriptDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return CoffeescriptDirective;
}());
exports.CoffeescriptDirective = CoffeescriptDirective;
