"use strict";
require('prismjs/components/prism-c');
require('prismjs/components/prism-cpp');
var core_1 = require('@angular/core');
var CppDirective = (function () {
    function CppDirective(el) {
        this.el = el;
    }
    CppDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    CppDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[cpp]'
                },] },
    ];
    /** @nocollapse */
    CppDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return CppDirective;
}());
exports.CppDirective = CppDirective;
