"use strict";
require('prismjs/components/prism-ruby');
require('prismjs/components/prism-crystal');
var core_1 = require('@angular/core');
var CrystalDirective = (function () {
    function CrystalDirective(el) {
        this.el = el;
    }
    CrystalDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    CrystalDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[crystal]'
                },] },
    ];
    /** @nocollapse */
    CrystalDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return CrystalDirective;
}());
exports.CrystalDirective = CrystalDirective;
