"use strict";
require('prismjs/components/prism-d');
var core_1 = require('@angular/core');
var DDirective = (function () {
    function DDirective(el) {
        this.el = el;
    }
    DDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    DDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[d]'
                },] },
    ];
    /** @nocollapse */
    DDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return DDirective;
}());
exports.DDirective = DDirective;
