"use strict";
require('prismjs/components/prism-dart');
var core_1 = require('@angular/core');
var DartDirective = (function () {
    function DartDirective(el) {
        this.el = el;
    }
    DartDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    DartDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[dart]'
                },] },
    ];
    /** @nocollapse */
    DartDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return DartDirective;
}());
exports.DartDirective = DartDirective;
