"use strict";
require('prismjs/components/prism-eiffel');
var core_1 = require('@angular/core');
var EiffelDirective = (function () {
    function EiffelDirective(el) {
        this.el = el;
    }
    EiffelDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    EiffelDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[eiffel]'
                },] },
    ];
    /** @nocollapse */
    EiffelDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return EiffelDirective;
}());
exports.EiffelDirective = EiffelDirective;
