"use strict";
require('prismjs/components/prism-fortran');
var core_1 = require('@angular/core');
var FortranDirective = (function () {
    function FortranDirective(el) {
        this.el = el;
    }
    FortranDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    FortranDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[fortran]'
                },] },
    ];
    /** @nocollapse */
    FortranDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return FortranDirective;
}());
exports.FortranDirective = FortranDirective;
