"use strict";
require('prismjs/components/prism-fsharp');
var core_1 = require('@angular/core');
var FsharpDirective = (function () {
    function FsharpDirective(el) {
        this.el = el;
    }
    FsharpDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    FsharpDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[fsharp]'
                },] },
    ];
    /** @nocollapse */
    FsharpDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return FsharpDirective;
}());
exports.FsharpDirective = FsharpDirective;
