"use strict";
require('prismjs/components/prism-gherkin');
var core_1 = require('@angular/core');
var GherkinDirective = (function () {
    function GherkinDirective(el) {
        this.el = el;
    }
    GherkinDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    GherkinDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[gherkin]'
                },] },
    ];
    /** @nocollapse */
    GherkinDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return GherkinDirective;
}());
exports.GherkinDirective = GherkinDirective;
