"use strict";
require('prismjs/components/prism-glsl');
var core_1 = require('@angular/core');
var GlslDirective = (function () {
    function GlslDirective(el) {
        this.el = el;
    }
    GlslDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    GlslDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[glsl]'
                },] },
    ];
    /** @nocollapse */
    GlslDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return GlslDirective;
}());
exports.GlslDirective = GlslDirective;
