"use strict";
require('prismjs/components/prism-go');
var core_1 = require('@angular/core');
var GoDirective = (function () {
    function GoDirective(el) {
        this.el = el;
    }
    GoDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    GoDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[go]'
                },] },
    ];
    /** @nocollapse */
    GoDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return GoDirective;
}());
exports.GoDirective = GoDirective;
