"use strict";
require('prismjs/components/prism-graphql');
var core_1 = require('@angular/core');
var GraphqlDirective = (function () {
    function GraphqlDirective(el) {
        this.el = el;
    }
    GraphqlDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    GraphqlDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[graphql]'
                },] },
    ];
    /** @nocollapse */
    GraphqlDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return GraphqlDirective;
}());
exports.GraphqlDirective = GraphqlDirective;
