"use strict";
require('prismjs/components/prism-haml');
var core_1 = require('@angular/core');
var HamlDirective = (function () {
    function HamlDirective(el) {
        this.el = el;
    }
    HamlDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    HamlDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[haml]'
                },] },
    ];
    /** @nocollapse */
    HamlDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return HamlDirective;
}());
exports.HamlDirective = HamlDirective;
