"use strict";
require('prismjs/components/prism-handlebars');
var core_1 = require('@angular/core');
var HandlebarsDirective = (function () {
    function HandlebarsDirective(el) {
        this.el = el;
    }
    HandlebarsDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    HandlebarsDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[handlebars]'
                },] },
    ];
    /** @nocollapse */
    HandlebarsDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return HandlebarsDirective;
}());
exports.HandlebarsDirective = HandlebarsDirective;
