"use strict";
require('prismjs/components/prism-haskell');
var core_1 = require('@angular/core');
var HaskellDirective = (function () {
    function HaskellDirective(el) {
        this.el = el;
    }
    HaskellDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    HaskellDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[haskell]'
                },] },
    ];
    /** @nocollapse */
    HaskellDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return HaskellDirective;
}());
exports.HaskellDirective = HaskellDirective;
