"use strict";
require('prismjs/components/prism-haxe');
var core_1 = require('@angular/core');
var HaxeDirective = (function () {
    function HaxeDirective(el) {
        this.el = el;
    }
    HaxeDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    HaxeDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[haxe]'
                },] },
    ];
    /** @nocollapse */
    HaxeDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return HaxeDirective;
}());
exports.HaxeDirective = HaxeDirective;
