"use strict";
require('prismjs/components/prism-inform7');
var core_1 = require('@angular/core');
var Inform7Directive = (function () {
    function Inform7Directive(el) {
        this.el = el;
    }
    Inform7Directive.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    Inform7Directive.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[inform7]'
                },] },
    ];
    /** @nocollapse */
    Inform7Directive.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return Inform7Directive;
}());
exports.Inform7Directive = Inform7Directive;
