"use strict";
require('prismjs/components/prism-ini');
var core_1 = require('@angular/core');
var IniDirective = (function () {
    function IniDirective(el) {
        this.el = el;
    }
    IniDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    IniDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[ini]'
                },] },
    ];
    /** @nocollapse */
    IniDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return IniDirective;
}());
exports.IniDirective = IniDirective;
