"use strict";
require('prismjs/components/prism-j');
var core_1 = require('@angular/core');
var JDirective = (function () {
    function JDirective(el) {
        this.el = el;
    }
    JDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    JDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[j]'
                },] },
    ];
    /** @nocollapse */
    JDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return JDirective;
}());
exports.JDirective = JDirective;
