"use strict";
require('prismjs/components/prism-java');
var core_1 = require('@angular/core');
var JavaDirective = (function () {
    function JavaDirective(el) {
        this.el = el;
    }
    JavaDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    JavaDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[java]'
                },] },
    ];
    /** @nocollapse */
    JavaDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return JavaDirective;
}());
exports.JavaDirective = JavaDirective;
