"use strict";
require('prismjs/components/prism-javascript');
var core_1 = require('@angular/core');
var JavascriptDirective = (function () {
    function JavascriptDirective(el) {
        this.el = el;
    }
    JavascriptDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    JavascriptDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[javascript]'
                },] },
    ];
    /** @nocollapse */
    JavascriptDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return JavascriptDirective;
}());
exports.JavascriptDirective = JavascriptDirective;
