"use strict";
require('prismjs/components/prism-jsx');
var core_1 = require('@angular/core');
var JsxDirective = (function () {
    function JsxDirective(el) {
        this.el = el;
    }
    JsxDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    JsxDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[jsx]'
                },] },
    ];
    /** @nocollapse */
    JsxDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return JsxDirective;
}());
exports.JsxDirective = JsxDirective;
