"use strict";
require('prismjs/components/prism-julia');
var core_1 = require('@angular/core');
var JuliaDirective = (function () {
    function JuliaDirective(el) {
        this.el = el;
    }
    JuliaDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    JuliaDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[julia]'
                },] },
    ];
    /** @nocollapse */
    JuliaDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return JuliaDirective;
}());
exports.JuliaDirective = JuliaDirective;
