"use strict";
require('prismjs/components/prism-kotlin');
var core_1 = require('@angular/core');
var KotlinDirective = (function () {
    function KotlinDirective(el) {
        this.el = el;
    }
    KotlinDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    KotlinDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[kotlin]'
                },] },
    ];
    /** @nocollapse */
    KotlinDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return KotlinDirective;
}());
exports.KotlinDirective = KotlinDirective;
