"use strict";
require('prismjs/components/prism-latex');
var core_1 = require('@angular/core');
var LatexDirective = (function () {
    function LatexDirective(el) {
        this.el = el;
    }
    LatexDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    LatexDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[latex]'
                },] },
    ];
    /** @nocollapse */
    LatexDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return LatexDirective;
}());
exports.LatexDirective = LatexDirective;
