"use strict";
require('prismjs/components/prism-lolcode');
var core_1 = require('@angular/core');
var LolcodeDirective = (function () {
    function LolcodeDirective(el) {
        this.el = el;
    }
    LolcodeDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    LolcodeDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[lolcode]'
                },] },
    ];
    /** @nocollapse */
    LolcodeDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return LolcodeDirective;
}());
exports.LolcodeDirective = LolcodeDirective;
