"use strict";
require('prismjs/components/prism-markdown');
var core_1 = require('@angular/core');
var MarkdownDirective = (function () {
    function MarkdownDirective(el) {
        this.el = el;
    }
    MarkdownDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    MarkdownDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[markdown]'
                },] },
    ];
    /** @nocollapse */
    MarkdownDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return MarkdownDirective;
}());
exports.MarkdownDirective = MarkdownDirective;
