"use strict";
require('prismjs/components/prism-markup');
var core_1 = require('@angular/core');
var MarkupDirective = (function () {
    function MarkupDirective(el) {
        this.el = el;
    }
    MarkupDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    MarkupDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[markup]'
                },] },
    ];
    /** @nocollapse */
    MarkupDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return MarkupDirective;
}());
exports.MarkupDirective = MarkupDirective;
