"use strict";
require('prismjs/components/prism-matlab');
var core_1 = require('@angular/core');
var MatlabDirective = (function () {
    function MatlabDirective(el) {
        this.el = el;
    }
    MatlabDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    MatlabDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[matlab]'
                },] },
    ];
    /** @nocollapse */
    MatlabDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return MatlabDirective;
}());
exports.MatlabDirective = MatlabDirective;
