"use strict";
require('prismjs/components/prism-mizar');
var core_1 = require('@angular/core');
var MizarDirective = (function () {
    function MizarDirective(el) {
        this.el = el;
    }
    MizarDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    MizarDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[mizar]'
                },] },
    ];
    /** @nocollapse */
    MizarDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return MizarDirective;
}());
exports.MizarDirective = MizarDirective;
