"use strict";
require('prismjs/components/prism-monkey');
var core_1 = require('@angular/core');
var MonkeyDirective = (function () {
    function MonkeyDirective(el) {
        this.el = el;
    }
    MonkeyDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    MonkeyDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[monkey]'
                },] },
    ];
    /** @nocollapse */
    MonkeyDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return MonkeyDirective;
}());
exports.MonkeyDirective = MonkeyDirective;
