"use strict";
require('prismjs/components/prism-nasm');
var core_1 = require('@angular/core');
var NasmDirective = (function () {
    function NasmDirective(el) {
        this.el = el;
    }
    NasmDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    NasmDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[nasm]'
                },] },
    ];
    /** @nocollapse */
    NasmDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return NasmDirective;
}());
exports.NasmDirective = NasmDirective;
