"use strict";
require('prismjs/components/prism-nim');
var core_1 = require('@angular/core');
var NimDirective = (function () {
    function NimDirective(el) {
        this.el = el;
    }
    NimDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    NimDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[nim]'
                },] },
    ];
    /** @nocollapse */
    NimDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return NimDirective;
}());
exports.NimDirective = NimDirective;
