"use strict";
require('prismjs/components/prism-nix');
var core_1 = require('@angular/core');
var NixDirective = (function () {
    function NixDirective(el) {
        this.el = el;
    }
    NixDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    NixDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[nix]'
                },] },
    ];
    /** @nocollapse */
    NixDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return NixDirective;
}());
exports.NixDirective = NixDirective;
