"use strict";
require('prismjs/components/prism-nsis');
var core_1 = require('@angular/core');
var NsisDirective = (function () {
    function NsisDirective(el) {
        this.el = el;
    }
    NsisDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    NsisDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[nsis]'
                },] },
    ];
    /** @nocollapse */
    NsisDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return NsisDirective;
}());
exports.NsisDirective = NsisDirective;
