"use strict";
require('prismjs/components/prism-parigp');
var core_1 = require('@angular/core');
var ParigpDirective = (function () {
    function ParigpDirective(el) {
        this.el = el;
    }
    ParigpDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    ParigpDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[parigp]'
                },] },
    ];
    /** @nocollapse */
    ParigpDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return ParigpDirective;
}());
exports.ParigpDirective = ParigpDirective;
