"use strict";
require('prismjs/components/prism-parser');
var core_1 = require('@angular/core');
var ParserDirective = (function () {
    function ParserDirective(el) {
        this.el = el;
    }
    ParserDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    ParserDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[parser]'
                },] },
    ];
    /** @nocollapse */
    ParserDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return ParserDirective;
}());
exports.ParserDirective = ParserDirective;
