"use strict";
require('prismjs/components/prism-perl');
var core_1 = require('@angular/core');
var PerlDirective = (function () {
    function PerlDirective(el) {
        this.el = el;
    }
    PerlDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    PerlDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[perl]'
                },] },
    ];
    /** @nocollapse */
    PerlDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return PerlDirective;
}());
exports.PerlDirective = PerlDirective;
