"use strict";
require('prismjs/components/prism-php');
var core_1 = require('@angular/core');
var PhpDirective = (function () {
    function PhpDirective(el) {
        this.el = el;
    }
    PhpDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    PhpDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[php]'
                },] },
    ];
    /** @nocollapse */
    PhpDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return PhpDirective;
}());
exports.PhpDirective = PhpDirective;
