"use strict";
require('prismjs/components/prism-powershell');
var core_1 = require('@angular/core');
var PowershellDirective = (function () {
    function PowershellDirective(el) {
        this.el = el;
    }
    PowershellDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    PowershellDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[powershell]'
                },] },
    ];
    /** @nocollapse */
    PowershellDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return PowershellDirective;
}());
exports.PowershellDirective = PowershellDirective;
