"use strict";
require('prismjs/components/prism-prolog');
var core_1 = require('@angular/core');
var PrologDirective = (function () {
    function PrologDirective(el) {
        this.el = el;
    }
    PrologDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    PrologDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[prolog]'
                },] },
    ];
    /** @nocollapse */
    PrologDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return PrologDirective;
}());
exports.PrologDirective = PrologDirective;
