"use strict";
require('prismjs/components/prism-puppet');
var core_1 = require('@angular/core');
var PuppetDirective = (function () {
    function PuppetDirective(el) {
        this.el = el;
    }
    PuppetDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    PuppetDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[puppet]'
                },] },
    ];
    /** @nocollapse */
    PuppetDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return PuppetDirective;
}());
exports.PuppetDirective = PuppetDirective;
