"use strict";
require('prismjs/components/prism-r');
var core_1 = require('@angular/core');
var RDirective = (function () {
    function RDirective(el) {
        this.el = el;
    }
    RDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    RDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[r]'
                },] },
    ];
    /** @nocollapse */
    RDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return RDirective;
}());
exports.RDirective = RDirective;
