"use strict";
require('prismjs/components/prism-reason');
var core_1 = require('@angular/core');
var ReasonDirective = (function () {
    function ReasonDirective(el) {
        this.el = el;
    }
    ReasonDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    ReasonDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[reason]'
                },] },
    ];
    /** @nocollapse */
    ReasonDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return ReasonDirective;
}());
exports.ReasonDirective = ReasonDirective;
