"use strict";
require('prismjs/components/prism-rip');
var core_1 = require('@angular/core');
var RipDirective = (function () {
    function RipDirective(el) {
        this.el = el;
    }
    RipDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    RipDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[rip]'
                },] },
    ];
    /** @nocollapse */
    RipDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return RipDirective;
}());
exports.RipDirective = RipDirective;
