"use strict";
require('prismjs/components/prism-roboconf');
var core_1 = require('@angular/core');
var RoboconfDirective = (function () {
    function RoboconfDirective(el) {
        this.el = el;
    }
    RoboconfDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    RoboconfDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[roboconf]'
                },] },
    ];
    /** @nocollapse */
    RoboconfDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return RoboconfDirective;
}());
exports.RoboconfDirective = RoboconfDirective;
