"use strict";
require('prismjs/components/prism-ruby');
var core_1 = require('@angular/core');
var RubyDirective = (function () {
    function RubyDirective(el) {
        this.el = el;
    }
    RubyDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    RubyDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[ruby]'
                },] },
    ];
    /** @nocollapse */
    RubyDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return RubyDirective;
}());
exports.RubyDirective = RubyDirective;
