"use strict";
require('prismjs/components/prism-rust');
var core_1 = require('@angular/core');
var RustDirective = (function () {
    function RustDirective(el) {
        this.el = el;
    }
    RustDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    RustDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[rust]'
                },] },
    ];
    /** @nocollapse */
    RustDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return RustDirective;
}());
exports.RustDirective = RustDirective;
