"use strict";
require('prismjs/components/prism-sas');
var core_1 = require('@angular/core');
var SasDirective = (function () {
    function SasDirective(el) {
        this.el = el;
    }
    SasDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    SasDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[sas]'
                },] },
    ];
    /** @nocollapse */
    SasDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return SasDirective;
}());
exports.SasDirective = SasDirective;
