"use strict";
require('prismjs/components/prism-java');
require('prismjs/components/prism-scala');
var core_1 = require('@angular/core');
var ScalaDirective = (function () {
    function ScalaDirective(el) {
        this.el = el;
    }
    ScalaDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    ScalaDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[scala]'
                },] },
    ];
    /** @nocollapse */
    ScalaDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return ScalaDirective;
}());
exports.ScalaDirective = ScalaDirective;
