"use strict";
require('prismjs/components/prism-scheme');
var core_1 = require('@angular/core');
var SchemeDirective = (function () {
    function SchemeDirective(el) {
        this.el = el;
    }
    SchemeDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    SchemeDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[scheme]'
                },] },
    ];
    /** @nocollapse */
    SchemeDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return SchemeDirective;
}());
exports.SchemeDirective = SchemeDirective;
