"use strict";
require('prismjs/components/prism-scss');
var core_1 = require('@angular/core');
var ScssDirective = (function () {
    function ScssDirective(el) {
        this.el = el;
    }
    ScssDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    ScssDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[scss]'
                },] },
    ];
    /** @nocollapse */
    ScssDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return ScssDirective;
}());
exports.ScssDirective = ScssDirective;
