"use strict";
require('prismjs/components/prism-smarty');
var core_1 = require('@angular/core');
var SmartyDirective = (function () {
    function SmartyDirective(el) {
        this.el = el;
    }
    SmartyDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    SmartyDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[smarty]'
                },] },
    ];
    /** @nocollapse */
    SmartyDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return SmartyDirective;
}());
exports.SmartyDirective = SmartyDirective;
