"use strict";
require('prismjs/components/prism-sql');
var core_1 = require('@angular/core');
var SqlDirective = (function () {
    function SqlDirective(el) {
        this.el = el;
    }
    SqlDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    SqlDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[sql]'
                },] },
    ];
    /** @nocollapse */
    SqlDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return SqlDirective;
}());
exports.SqlDirective = SqlDirective;
