"use strict";
require('prismjs/components/prism-stylus');
var core_1 = require('@angular/core');
var StylusDirective = (function () {
    function StylusDirective(el) {
        this.el = el;
    }
    StylusDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    StylusDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[stylus]'
                },] },
    ];
    /** @nocollapse */
    StylusDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return StylusDirective;
}());
exports.StylusDirective = StylusDirective;
