"use strict";
require('prismjs/components/prism-swift');
var core_1 = require('@angular/core');
var SwiftDirective = (function () {
    function SwiftDirective(el) {
        this.el = el;
    }
    SwiftDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    SwiftDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[swift]'
                },] },
    ];
    /** @nocollapse */
    SwiftDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return SwiftDirective;
}());
exports.SwiftDirective = SwiftDirective;
