"use strict";
require('prismjs/components/prism-textile');
var core_1 = require('@angular/core');
var TextileDirective = (function () {
    function TextileDirective(el) {
        this.el = el;
    }
    TextileDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    TextileDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[textile]'
                },] },
    ];
    /** @nocollapse */
    TextileDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return TextileDirective;
}());
exports.TextileDirective = TextileDirective;
