"use strict";
require('prismjs/components/prism-twig');
var core_1 = require('@angular/core');
var TwigDirective = (function () {
    function TwigDirective(el) {
        this.el = el;
    }
    TwigDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    TwigDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[twig]'
                },] },
    ];
    /** @nocollapse */
    TwigDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return TwigDirective;
}());
exports.TwigDirective = TwigDirective;
