"use strict";
require('prismjs/components/prism-typescript');
var core_1 = require('@angular/core');
var TypescriptDirective = (function () {
    function TypescriptDirective(el) {
        this.el = el;
    }
    TypescriptDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    TypescriptDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[typescript]'
                },] },
    ];
    /** @nocollapse */
    TypescriptDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return TypescriptDirective;
}());
exports.TypescriptDirective = TypescriptDirective;
