"use strict";
require('prismjs/components/prism-vhdl');
var core_1 = require('@angular/core');
var VhdlDirective = (function () {
    function VhdlDirective(el) {
        this.el = el;
    }
    VhdlDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    VhdlDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[vhdl]'
                },] },
    ];
    /** @nocollapse */
    VhdlDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return VhdlDirective;
}());
exports.VhdlDirective = VhdlDirective;
