"use strict";
require('prismjs/components/prism-abap');
var core_1 = require('@angular/core');
var AbapDirective = (function () {
    function AbapDirective(el) {
        this.el = el;
    }
    AbapDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    AbapDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[abap]'
                },] },
    ];
    /** @nocollapse */
    AbapDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return AbapDirective;
}());
exports.AbapDirective = AbapDirective;
