"use strict";
require('prismjs/components/prism-apacheconf');
var core_1 = require('@angular/core');
var ApacheconfDirective = (function () {
    function ApacheconfDirective(el) {
        this.el = el;
    }
    ApacheconfDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    ApacheconfDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[apacheconf]'
                },] },
    ];
    /** @nocollapse */
    ApacheconfDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return ApacheconfDirective;
}());
exports.ApacheconfDirective = ApacheconfDirective;
