"use strict";
require('prismjs/components/prism-bash');
var core_1 = require('@angular/core');
var BashDirective = (function () {
    function BashDirective(el) {
        this.el = el;
    }
    BashDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    BashDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[bash]'
                },] },
    ];
    /** @nocollapse */
    BashDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return BashDirective;
}());
exports.BashDirective = BashDirective;
