"use strict";
require('prismjs/components/prism-basic');
var core_1 = require('@angular/core');
var BasicDirective = (function () {
    function BasicDirective(el) {
        this.el = el;
    }
    BasicDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    BasicDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[basic]'
                },] },
    ];
    /** @nocollapse */
    BasicDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return BasicDirective;
}());
exports.BasicDirective = BasicDirective;
