"use strict";
require('prismjs/components/prism-batch');
var core_1 = require('@angular/core');
var BatchDirective = (function () {
    function BatchDirective(el) {
        this.el = el;
    }
    BatchDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    BatchDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[batch]'
                },] },
    ];
    /** @nocollapse */
    BatchDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return BatchDirective;
}());
exports.BatchDirective = BatchDirective;
