"use strict";
require('prismjs/components/prism-bro');
var core_1 = require('@angular/core');
var BroDirective = (function () {
    function BroDirective(el) {
        this.el = el;
    }
    BroDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    BroDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[bro]'
                },] },
    ];
    /** @nocollapse */
    BroDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return BroDirective;
}());
exports.BroDirective = BroDirective;
