"use strict";
require('prismjs/components/prism-csharp');
var core_1 = require('@angular/core');
var CsharpDirective = (function () {
    function CsharpDirective(el) {
        this.el = el;
    }
    CsharpDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    CsharpDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[csharp]'
                },] },
    ];
    /** @nocollapse */
    CsharpDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return CsharpDirective;
}());
exports.CsharpDirective = CsharpDirective;
