"use strict";
require('prismjs/components/prism-css');
var core_1 = require('@angular/core');
var CssDirective = (function () {
    function CssDirective(el) {
        this.el = el;
    }
    CssDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    CssDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[css]'
                },] },
    ];
    /** @nocollapse */
    CssDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return CssDirective;
}());
exports.CssDirective = CssDirective;
