"use strict";
require('prismjs/components/prism-diff');
var core_1 = require('@angular/core');
var DiffDirective = (function () {
    function DiffDirective(el) {
        this.el = el;
    }
    DiffDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    DiffDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[diff]'
                },] },
    ];
    /** @nocollapse */
    DiffDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return DiffDirective;
}());
exports.DiffDirective = DiffDirective;
