"use strict";
require('prismjs/components/prism-docker');
var core_1 = require('@angular/core');
var DockerDirective = (function () {
    function DockerDirective(el) {
        this.el = el;
    }
    DockerDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    DockerDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[docker]'
                },] },
    ];
    /** @nocollapse */
    DockerDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return DockerDirective;
}());
exports.DockerDirective = DockerDirective;
