"use strict";
require('prismjs/components/prism-elixir');
var core_1 = require('@angular/core');
var ElixirDirective = (function () {
    function ElixirDirective(el) {
        this.el = el;
    }
    ElixirDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    ElixirDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[elixir]'
                },] },
    ];
    /** @nocollapse */
    ElixirDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return ElixirDirective;
}());
exports.ElixirDirective = ElixirDirective;
