"use strict";
require('prismjs/components/prism-erlang');
var core_1 = require('@angular/core');
var ErlangDirective = (function () {
    function ErlangDirective(el) {
        this.el = el;
    }
    ErlangDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    ErlangDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[erlang]'
                },] },
    ];
    /** @nocollapse */
    ErlangDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return ErlangDirective;
}());
exports.ErlangDirective = ErlangDirective;
