"use strict";
require('prismjs/components/prism-git');
var core_1 = require('@angular/core');
var GitDirective = (function () {
    function GitDirective(el) {
        this.el = el;
    }
    GitDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    GitDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[git]'
                },] },
    ];
    /** @nocollapse */
    GitDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return GitDirective;
}());
exports.GitDirective = GitDirective;
