"use strict";
require('prismjs/components/prism-groovy');
var core_1 = require('@angular/core');
var GroovyDirective = (function () {
    function GroovyDirective(el) {
        this.el = el;
    }
    GroovyDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    GroovyDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[groovy]'
                },] },
    ];
    /** @nocollapse */
    GroovyDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return GroovyDirective;
}());
exports.GroovyDirective = GroovyDirective;
