"use strict";
require('prismjs/components/prism-http');
var core_1 = require('@angular/core');
var HttpDirective = (function () {
    function HttpDirective(el) {
        this.el = el;
    }
    HttpDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    HttpDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[http]'
                },] },
    ];
    /** @nocollapse */
    HttpDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return HttpDirective;
}());
exports.HttpDirective = HttpDirective;
