"use strict";
require('prismjs/components/prism-icon');
var core_1 = require('@angular/core');
var IconDirective = (function () {
    function IconDirective(el) {
        this.el = el;
    }
    IconDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    IconDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[icon]'
                },] },
    ];
    /** @nocollapse */
    IconDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return IconDirective;
}());
exports.IconDirective = IconDirective;
