"use strict";
require('prismjs/components/prism-jade');
var core_1 = require('@angular/core');
var JadeDirective = (function () {
    function JadeDirective(el) {
        this.el = el;
    }
    JadeDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    JadeDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[jade]'
                },] },
    ];
    /** @nocollapse */
    JadeDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return JadeDirective;
}());
exports.JadeDirective = JadeDirective;
