"use strict";
require('prismjs/components/prism-jolie');
var core_1 = require('@angular/core');
var JolieDirective = (function () {
    function JolieDirective(el) {
        this.el = el;
    }
    JolieDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    JolieDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[jolie]'
                },] },
    ];
    /** @nocollapse */
    JolieDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return JolieDirective;
}());
exports.JolieDirective = JolieDirective;
