"use strict";
require('prismjs/components/prism-json');
var core_1 = require('@angular/core');
var JsonDirective = (function () {
    function JsonDirective(el) {
        this.el = el;
    }
    JsonDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    JsonDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[json]'
                },] },
    ];
    /** @nocollapse */
    JsonDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return JsonDirective;
}());
exports.JsonDirective = JsonDirective;
