"use strict";
require('prismjs/components/prism-keyman');
var core_1 = require('@angular/core');
var KeymanDirective = (function () {
    function KeymanDirective(el) {
        this.el = el;
    }
    KeymanDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    KeymanDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[keyman]'
                },] },
    ];
    /** @nocollapse */
    KeymanDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return KeymanDirective;
}());
exports.KeymanDirective = KeymanDirective;
