"use strict";
require('prismjs/components/prism-less');
var core_1 = require('@angular/core');
var LessDirective = (function () {
    function LessDirective(el) {
        this.el = el;
    }
    LessDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    LessDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[less]'
                },] },
    ];
    /** @nocollapse */
    LessDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return LessDirective;
}());
exports.LessDirective = LessDirective;
