"use strict";
require('prismjs/components/prism-livescript');
var core_1 = require('@angular/core');
var LivescriptDirective = (function () {
    function LivescriptDirective(el) {
        this.el = el;
    }
    LivescriptDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    LivescriptDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[livescript]'
                },] },
    ];
    /** @nocollapse */
    LivescriptDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return LivescriptDirective;
}());
exports.LivescriptDirective = LivescriptDirective;
