"use strict";
require('prismjs/components/prism-lua');
var core_1 = require('@angular/core');
var LuaDirective = (function () {
    function LuaDirective(el) {
        this.el = el;
    }
    LuaDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    LuaDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[lua]'
                },] },
    ];
    /** @nocollapse */
    LuaDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return LuaDirective;
}());
exports.LuaDirective = LuaDirective;
