"use strict";
require('prismjs/components/prism-makefile');
var core_1 = require('@angular/core');
var MakefileDirective = (function () {
    function MakefileDirective(el) {
        this.el = el;
    }
    MakefileDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    MakefileDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[makefile]'
                },] },
    ];
    /** @nocollapse */
    MakefileDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return MakefileDirective;
}());
exports.MakefileDirective = MakefileDirective;
