"use strict";
require('prismjs/components/prism-mel');
var core_1 = require('@angular/core');
var MelDirective = (function () {
    function MelDirective(el) {
        this.el = el;
    }
    MelDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    MelDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[mel]'
                },] },
    ];
    /** @nocollapse */
    MelDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return MelDirective;
}());
exports.MelDirective = MelDirective;
