"use strict";
require('prismjs/components/prism-nginx');
var core_1 = require('@angular/core');
var NginxDirective = (function () {
    function NginxDirective(el) {
        this.el = el;
    }
    NginxDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    NginxDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[nginx]'
                },] },
    ];
    /** @nocollapse */
    NginxDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return NginxDirective;
}());
exports.NginxDirective = NginxDirective;
