"use strict";
require('prismjs/components/prism-c');
require('prismjs/components/prism-objectivec');
var core_1 = require('@angular/core');
var ObjectivecDirective = (function () {
    function ObjectivecDirective(el) {
        this.el = el;
    }
    ObjectivecDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    ObjectivecDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[objectivec]'
                },] },
    ];
    /** @nocollapse */
    ObjectivecDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return ObjectivecDirective;
}());
exports.ObjectivecDirective = ObjectivecDirective;
