"use strict";
require('prismjs/components/prism-ocaml');
var core_1 = require('@angular/core');
var OcamlDirective = (function () {
    function OcamlDirective(el) {
        this.el = el;
    }
    OcamlDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    OcamlDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[ocaml]'
                },] },
    ];
    /** @nocollapse */
    OcamlDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return OcamlDirective;
}());
exports.OcamlDirective = OcamlDirective;
