"use strict";
require('prismjs/components/prism-oz');
var core_1 = require('@angular/core');
var OzDirective = (function () {
    function OzDirective(el) {
        this.el = el;
    }
    OzDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    OzDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[oz]'
                },] },
    ];
    /** @nocollapse */
    OzDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return OzDirective;
}());
exports.OzDirective = OzDirective;
