"use strict";
require('prismjs/components/prism-pascal');
var core_1 = require('@angular/core');
var PascalDirective = (function () {
    function PascalDirective(el) {
        this.el = el;
    }
    PascalDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    PascalDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[pascal]'
                },] },
    ];
    /** @nocollapse */
    PascalDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return PascalDirective;
}());
exports.PascalDirective = PascalDirective;
