"use strict";
require('prismjs/components/prism-processing');
var core_1 = require('@angular/core');
var ProcessingDirective = (function () {
    function ProcessingDirective(el) {
        this.el = el;
    }
    ProcessingDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    ProcessingDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[processing]'
                },] },
    ];
    /** @nocollapse */
    ProcessingDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return ProcessingDirective;
}());
exports.ProcessingDirective = ProcessingDirective;
