"use strict";
require('prismjs/components/prism-properties');
var core_1 = require('@angular/core');
var PropertiesDirective = (function () {
    function PropertiesDirective(el) {
        this.el = el;
    }
    PropertiesDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    PropertiesDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[properties]'
                },] },
    ];
    /** @nocollapse */
    PropertiesDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return PropertiesDirective;
}());
exports.PropertiesDirective = PropertiesDirective;
