"use strict";
require('prismjs/components/prism-protobuf');
var core_1 = require('@angular/core');
var ProtobufDirective = (function () {
    function ProtobufDirective(el) {
        this.el = el;
    }
    ProtobufDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    ProtobufDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[protobuf]'
                },] },
    ];
    /** @nocollapse */
    ProtobufDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return ProtobufDirective;
}());
exports.ProtobufDirective = ProtobufDirective;
