"use strict";
require('prismjs/components/prism-pure');
var core_1 = require('@angular/core');
var PureDirective = (function () {
    function PureDirective(el) {
        this.el = el;
    }
    PureDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    PureDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[pure]'
                },] },
    ];
    /** @nocollapse */
    PureDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return PureDirective;
}());
exports.PureDirective = PureDirective;
