"use strict";
require('prismjs/components/prism-python');
var core_1 = require('@angular/core');
var PythonDirective = (function () {
    function PythonDirective(el) {
        this.el = el;
    }
    PythonDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    PythonDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[python]'
                },] },
    ];
    /** @nocollapse */
    PythonDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return PythonDirective;
}());
exports.PythonDirective = PythonDirective;
