"use strict";
require('prismjs/components/prism-q');
var core_1 = require('@angular/core');
var QDirective = (function () {
    function QDirective(el) {
        this.el = el;
    }
    QDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    QDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[q]'
                },] },
    ];
    /** @nocollapse */
    QDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return QDirective;
}());
exports.QDirective = QDirective;
