"use strict";
require('prismjs/components/prism-qore');
var core_1 = require('@angular/core');
var QoreDirective = (function () {
    function QoreDirective(el) {
        this.el = el;
    }
    QoreDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    QoreDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[qore]'
                },] },
    ];
    /** @nocollapse */
    QoreDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return QoreDirective;
}());
exports.QoreDirective = QoreDirective;
