"use strict";
require('prismjs/components/prism-rest');
var core_1 = require('@angular/core');
var RestDirective = (function () {
    function RestDirective(el) {
        this.el = el;
    }
    RestDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    RestDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[rest]'
                },] },
    ];
    /** @nocollapse */
    RestDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return RestDirective;
}());
exports.RestDirective = RestDirective;
