"use strict";
require('prismjs/components/prism-sass');
var core_1 = require('@angular/core');
var SassDirective = (function () {
    function SassDirective(el) {
        this.el = el;
    }
    SassDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    SassDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[sass]'
                },] },
    ];
    /** @nocollapse */
    SassDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return SassDirective;
}());
exports.SassDirective = SassDirective;
