"use strict";
require('prismjs/components/prism-smalltalk');
var core_1 = require('@angular/core');
var SmalltalkDirective = (function () {
    function SmalltalkDirective(el) {
        this.el = el;
    }
    SmalltalkDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    SmalltalkDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[smalltalk]'
                },] },
    ];
    /** @nocollapse */
    SmalltalkDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return SmalltalkDirective;
}());
exports.SmalltalkDirective = SmalltalkDirective;
