"use strict";
require('prismjs/components/prism-tcl');
var core_1 = require('@angular/core');
var TclDirective = (function () {
    function TclDirective(el) {
        this.el = el;
    }
    TclDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    TclDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[tcl]'
                },] },
    ];
    /** @nocollapse */
    TclDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return TclDirective;
}());
exports.TclDirective = TclDirective;
