"use strict";
require('prismjs/components/prism-verilog');
var core_1 = require('@angular/core');
var VerilogDirective = (function () {
    function VerilogDirective(el) {
        this.el = el;
    }
    VerilogDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    VerilogDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[verilog]'
                },] },
    ];
    /** @nocollapse */
    VerilogDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return VerilogDirective;
}());
exports.VerilogDirective = VerilogDirective;
