"use strict";
require('prismjs/components/prism-vim');
var core_1 = require('@angular/core');
var VimDirective = (function () {
    function VimDirective(el) {
        this.el = el;
    }
    VimDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    VimDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[vim]'
                },] },
    ];
    /** @nocollapse */
    VimDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return VimDirective;
}());
exports.VimDirective = VimDirective;
