"use strict";
require('prismjs/components/prism-wiki');
var core_1 = require('@angular/core');
var WikiDirective = (function () {
    function WikiDirective(el) {
        this.el = el;
    }
    WikiDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    WikiDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[wiki]'
                },] },
    ];
    /** @nocollapse */
    WikiDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return WikiDirective;
}());
exports.WikiDirective = WikiDirective;
