"use strict";
require('prismjs/components/prism-xojo');
var core_1 = require('@angular/core');
var XojoDirective = (function () {
    function XojoDirective(el) {
        this.el = el;
    }
    XojoDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    XojoDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[xojo]'
                },] },
    ];
    /** @nocollapse */
    XojoDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return XojoDirective;
}());
exports.XojoDirective = XojoDirective;
