"use strict";
require('prismjs/components/prism-yaml');
var core_1 = require('@angular/core');
var YamlDirective = (function () {
    function YamlDirective(el) {
        this.el = el;
    }
    YamlDirective.prototype.ngOnInit = function () {
        // get the host
        this.codeblock = this.el.internalElement.componentView.context;
        this.codeblock.language = '{{lang}}';
    };
    YamlDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'codeblock[yaml]'
                },] },
    ];
    /** @nocollapse */
    YamlDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    return YamlDirective;
}());
exports.YamlDirective = YamlDirective;
